%define		pkgname	phpmailer
%define		php_min_version 5.2.0
%include	/usr/lib/rpm/macros.php
Summary:	Full featured email transfer class for PHP
Summary(pl.UTF-8):	W pełni funkcjonalna klasa PHP do przesyłania e-maili
Name:		php-%{pkgname}
Version:	5.2.1
Release:	4
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	http://phpmailer.apache-extras.org.codespot.com/files/PHPMailer_%{version}.tgz
# Source0-md5:	2ef9a089aa9aae9899b4ab785ef873c3
Patch0:		paths.patch
Patch1:		phpmailer-update-et.patch
Patch2:		tests.patch
URL:		http://code.google.com/a/apache-extras.org/p/phpmailer/
BuildRequires:	php-pear-PhpDocumentor
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php-date
Suggests:	php-mbstring
Suggests:	php-openssl
Obsoletes:	phpmailer
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/%{pkgname}
%define		_phpdocdir	%{_docdir}/phpdoc

# exclude optional php dependencies
%define		_noautophp	php-openssl php-mbstring php-filter

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
PHP email transport class featuring multiple file attachments, SMTP
servers, CCs, BCCs, HTML messages, and word wrap, and more. It can
send email via sendmail, PHP mail(), or with SMTP. Methods are based
on the popular AspEmail active server component.

%description -l pl.UTF-8
Klasa PHP do przesyłania e-mail obsługująca wiele załączników
plikowych, serwery SMTP, CC, BCC, wiadomości HTML, zawijanie linii
itp. Potrafi wysyłać pocztę przez sendmaila, funkcją PHP mail() albo
poprzez SMTP. Metody są oparte na popularnym komponencie AspEmail.

%package phpdoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	php-dirs

%description phpdoc
Documentation for %{name}.

%description phpdoc -l pl.UTF-8
Dokumentacja do %{name}.

%prep
%setup -q -n PHPMailer_%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%undos -f php,html,txt README LICENSE

mv docs/5.0-phpdocs phpdoc.orig

%build
phpdoc --title 'PHPMailer version %{version}' --target phpdoc --defaultpackagename PHPMailer -f 'class.*.php'
# nuke smarty cache
rm -rf phpdoc/????????????????????????????????
rm -rf phpdoc/*/????????????????????????????????

# copy images, phpdoc is likely buggy not doing itself
sdir=%{php_pear_dir}/data/PhpDocumentor/phpDocumentor/Converters/HTML/frames/templates/earthli/templates/media/images
install -d phpdoc/media/images
cp -a $sdir/Constant.png phpdoc/media/images
cp -a $sdir/Variable.png phpdoc/media/images

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}/language

cp -p class.phpmailer.php $RPM_BUILD_ROOT%{php_data_dir}
# plugins: for smtp and pop before smtp auth
cp -p class.{smtp,pop3}.php  $RPM_BUILD_ROOT%{_appdir}
# language: translations of error messages
cp -p language/*.php $RPM_BUILD_ROOT%{_appdir}/language

# extras: htmlfilter.php
cp -a extras $RPM_BUILD_ROOT%{_appdir}

# examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# api doc
install -d $RPM_BUILD_ROOT%{_phpdocdir}/%{pkgname}
cp -a phpdoc/* $RPM_BUILD_ROOT%{_phpdocdir}/%{pkgname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt README docs/*
%{php_data_dir}/class.phpmailer.php

%dir %{_appdir}
%{_appdir}/class.pop3.php
%{_appdir}/class.smtp.php
%dir %{_appdir}/language
%lang(ar) %{_appdir}/language/phpmailer.lang-ar.php
%lang(ca) %{_appdir}/language/phpmailer.lang-ca.php
%lang(ch) %{_appdir}/language/phpmailer.lang-ch.php
%lang(cs) %{_appdir}/language/phpmailer.lang-cz.php
%lang(da) %{_appdir}/language/phpmailer.lang-dk.php
%lang(de) %{_appdir}/language/phpmailer.lang-de.php
%lang(es) %{_appdir}/language/phpmailer.lang-es.php
%lang(et) %{_appdir}/language/phpmailer.lang-et.php
%lang(fi) %{_appdir}/language/phpmailer.lang-fi.php
%lang(fo) %{_appdir}/language/phpmailer.lang-fo.php
%lang(fr) %{_appdir}/language/phpmailer.lang-fr.php
%lang(hu) %{_appdir}/language/phpmailer.lang-hu.php
%lang(it) %{_appdir}/language/phpmailer.lang-it.php
%lang(ja) %{_appdir}/language/phpmailer.lang-ja.php
%lang(nb) %{_appdir}/language/phpmailer.lang-no.php
%lang(nl) %{_appdir}/language/phpmailer.lang-nl.php
%lang(pl) %{_appdir}/language/phpmailer.lang-pl.php
%lang(pt_BR) %{_appdir}/language/phpmailer.lang-br.php
%lang(ro) %{_appdir}/language/phpmailer.lang-ro.php
%lang(ru) %{_appdir}/language/phpmailer.lang-ru.php
%lang(sv) %{_appdir}/language/phpmailer.lang-se.php
%lang(tr) %{_appdir}/language/phpmailer.lang-tr.php
%lang(zh) %{_appdir}/language/phpmailer.lang-zh.php
%lang(zh_CN) %{_appdir}/language/phpmailer.lang-zh_cn.php

%dir %{_appdir}/extras
%{_appdir}/extras/htmlfilter.php

%{_examplesdir}/%{name}-%{version}

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/%{pkgname}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> ac451b4
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 27af802
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Thu Apr 26 2012 Elan Ruusamäe <glen@pld-linux.org> ebab167
- build phpdoc, bundled one is incomplete and too old

* Thu Apr 26 2012 Elan Ruusamäe <glen@pld-linux.org> 7605f8f
- package phpdocs into -phpdoc

* Thu Apr 26 2012 Elan Ruusamäe <glen@pld-linux.org> 2605897
- package extras

* Sun Apr 22 2012 Elan Ruusamäe <glen@pld-linux.org> 11151c0
- fixup testing; cosmetics

* Thu Apr 19 2012 Elan Ruusamäe <glen@pld-linux.org> 52a0c16
- up to 5.2.1

* Sun Dec 18 2011 Adam Gołębiowski <adamg@pld-linux.org> 46a5f4d
- updated to 5.2.0
- new homepage and source0 url

* Wed May 26 2010 Elan Ruusamäe <glen@pld-linux.org> 83cbc42
- link to tracker

* Wed May 26 2010 Elan Ruusamäe <glen@pld-linux.org> 6a69873
- up to 5.1

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> 72538a4
- hash extension is not required, php.req was wrong; rel 2

* Tue Jan 12 2010 Elan Ruusamäe <glen@pld-linux.org> 5bbc808
- update et translation

* Tue Jan 12 2010 Elan Ruusamäe <glen@pld-linux.org> a991a9b
- php autodeps prepare, fill them manually now too

* Tue Jan 12 2010 Elan Ruusamäe <glen@pld-linux.org> 19f5ccc
- up to 2.3, apidocs accessible over web only

* Tue Jan 12 2010 Elan Ruusamäe <glen@pld-linux.org> 332c5cf
- rename to php-phpmailer

* Wed Aug 27 2008 ankry <ankry@pld-linux.org> f4cd874
- fix lang() codes

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> f608929
- nb not no

* Tue Aug 26 2008 Elan Ruusamäe <glen@pld-linux.org> 13bc6b8
- -phpdoc should strictly be @phpdoc (move examples to examplesdir)
- lang tag language files

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 2e82e52
- dropped php4 todo, no sense in supporting obsolete version without strong reason

* Tue Aug 26 2008 Elan Ruusamäe <glen@pld-linux.org> f44cac7
- epoch for php

